<?php function loadScripts()
  { }
  function WooreviewsImporter_init($file)
  {
    require_once(base64_decode('V29vcmV2aWV3c0ltcG9ydGVyX1BsdWdpbi5waHA='));
    $aPlugin = new WooreviewsImporter_Plugin();
    if (!$aPlugin->isInstalled()) {
      $aPlugin->install();
    } else {
      $aPlugin->upgrade();
    }
    $aPlugin->addActionsAndFilters();
    if (!$file) {
      $file = __FILE__;
    }
    register_activation_hook($file, array(&$aPlugin, base64_decode('YWN0aXZhdGU=')));
    register_deactivation_hook($file, array(&$aPlugin, base64_decode('ZGVhY3RpdmF0ZQ==')));
  }
  function insertReviewsIntoProductRM()
  {
    $post_id = isset($_POST[base64_decode('cG9zdF9pZA==')]) ? sanitize_text_field($_POST[base64_decode('cG9zdF9pZA==')]) : '';
    $reviews = isset($_POST[base64_decode('cmV2aWV3cw==')]) ? ($_POST[base64_decode('cmV2aWV3cw==')]) : array();
    $insertedSuccessfully = array();
    if (isset($post_id) && isset($reviews) && count($reviews)) {
      foreach ($reviews as $review) {
        $comment_id = wp_insert_comment(array(base64_decode('Y29tbWVudF9wb3N0X0lE') => sanitize_text_field($post_id), base64_decode('Y29tbWVudF9hdXRob3I=') => sanitize_text_field($review[base64_decode('dXNlcm5hbWU=')]), base64_decode('Y29tbWVudF9hdXRob3JfZW1haWw=') => sanitize_text_field($review[base64_decode('ZW1haWw=')]), base64_decode('Y29tbWVudF9hdXRob3JfdXJs') => '', base64_decode('Y29tbWVudF9jb250ZW50') => $review[base64_decode('cmV2aWV3')], base64_decode('Y29tbWVudF90eXBl') => '', base64_decode('Y29tbWVudF9wYXJlbnQ=') => 0, base64_decode('dXNlcl9pZA==') => 5, base64_decode('Y29tbWVudF9hdXRob3JfSVA=') => '', base64_decode('Y29tbWVudF9hZ2VudA==') => '', base64_decode('Y29tbWVudF9kYXRl') => $review[base64_decode('ZGF0ZWNyZWF0aW9u')], base64_decode('Y29tbWVudF9hcHByb3ZlZA==') => 1,));
        $response = update_comment_meta($comment_id, base64_decode('cmF0aW5n'), sanitize_text_field($review[base64_decode('cmF0aW5n')]));
        if ($response != false && isset($response)) {
          array_push($insertedSuccessfully, $comment_id);
        }
      }
      wp_send_json(array(base64_decode('aW5zZXJ0ZWRTdWNjZXNzZnVsbHk=') => $insertedSuccessfully));
    }
  }
  add_action(base64_decode('d3BfYWpheF9pbnNlcnQtcmV2aWV3cy10by1wcm9kdWN0Uk0='), base64_decode('aW5zZXJ0UmV2aWV3c0ludG9Qcm9kdWN0Uk0='));
  add_action(base64_decode('d3BfYWpheF9ub3ByaXZfaW5zZXJ0LXJldmlld3MtdG8tcHJvZHVjUk10'), base64_decode('aW5zZXJ0UmV2aWV3c0ludG9Qcm9kdWN0Uk0='));
  function getProduct_FROMWP_PLUGIN_REVIEWS()
  {
    $paged = isset($_POST[base64_decode('cGFnZWQ=')]) ? sanitize_text_field($_POST[base64_decode('cGFnZWQ=')]) : '';
    $args = array(base64_decode('cG9zdF90eXBl') => base64_decode('cHJvZHVjdA=='), base64_decode('cG9zdHNfcGVyX3BhZ2U=') => 20, base64_decode('cGFnZWQ=') => $paged, base64_decode('cG9zdF9zdGF0dXM=') => array(base64_decode('cHVibGlzaA=='), base64_decode('ZHJhZnQ=')));
    $products = new WP_Query($args);
    $finalList = array();
    if ($products->have_posts()) {
      while ($products->have_posts()) : $products->the_post();
        $theid = get_the_ID();
        $product = new WC_Product($theid);
        if (has_post_thumbnail()) {
          $thumbnail = get_post_thumbnail_id();
          $image = $thumbnail ? wp_get_attachment_url($thumbnail) : '';
        }
        $finalList[] = array(base64_decode('c2t1') => $product->get_sku(), base64_decode('aWQ=') => $theid, base64_decode('aW1hZ2U=') => $image, base64_decode('dGl0bGU=') => $product->get_title(), base64_decode('cHJvZHVjdFVybA==') => get_post_meta($theid, base64_decode('cHJvZHVjdFVybA=='), true));
      endwhile;
    } else {
      echo __(base64_decode('Tm8gcHJvZHVjdHMgZm91bmQ='));
    }
    wp_reset_postdata();
    wp_send_json($finalList);
  }
  add_action(base64_decode('d3BfYWpheF9nZXRfcHJvZHVjdHNfcmV2aWV3cw=='), base64_decode('Z2V0UHJvZHVjdF9GUk9NV1BfUExVR0lOX1JFVklFV1M='));
  add_action(base64_decode('d3BfYWpheF9ub3ByaXZfZ2V0X3Byb2R1Y3RzX3Jldmlld3M='), base64_decode('Z2V0UHJvZHVjdF9GUk9NV1BfUExVR0lOX1JFVklFV1M='));
  function searchProductBySkuReviews()
  {
    $searchSkuValue = isset($_POST[base64_decode('c2VhcmNoU2t1VmFsdWU=')]) ? sanitize_text_field($_POST[base64_decode('c2VhcmNoU2t1VmFsdWU=')]) : '';
    if (isset($searchSkuValue)) {
      $args = array(base64_decode('cG9zdF90eXBl') => base64_decode('cHJvZHVjdA=='), base64_decode('cG9zdHNfcGVyX3BhZ2U=') => 1, base64_decode('cA==') => $searchSkuValue);
      $products = new WP_Query($args);
      $finalList = array();
      if ($products->have_posts()) {
        while ($products->have_posts()) : $products->the_post();
          $theid = get_the_ID();
          $product = new WC_Product($theid);
          if (has_post_thumbnail()) {
            $thumbnail = get_post_thumbnail_id();
            $image = $thumbnail ? wp_get_attachment_url($thumbnail) : '';
          }
          $finalList[] = array(base64_decode('c2t1') => $product->get_sku(), base64_decode('aWQ=') => $theid, base64_decode('aW1hZ2U=') => $image, base64_decode('dGl0bGU=') => $product->get_title(), base64_decode('cHJvZHVjdFVybA==') => get_post_meta($theid, base64_decode('cHJvZHVjdFVybA=='), true));
        endwhile;
      } else {
        echo __(base64_decode('Tm8gcHJvZHVjdHMgZm91bmQ='));
      }
      wp_reset_postdata();
      wp_send_json($finalList);
    } else {
      $results = array(base64_decode('ZXJyb3I=') => true, base64_decode('ZXJyb3JfbXNn') => base64_decode('Y2Fubm90IGZpbmQgcmVzdWx0IGZvciB0aGUgaW50cm9kdWNlZCBza3UgdmFsdWUsIHBsZWFzZSBtYWtlIHN1cmUgdGhlIHByb2R1Y3QgaXMgaW1wb3J0ZWQgdXNpbmcgd29vc2hhcms='), base64_decode('ZGF0YQ==') => '');
      wp_send_json($results);
    }
  }
  add_action(base64_decode('d3BfYWpheF9zZWFyY2gtcHJvZHVjdC1ieS1za3UtcmV2aWV3cw=='), base64_decode('c2VhcmNoUHJvZHVjdEJ5U2t1UmV2aWV3cw=='));
  add_action(base64_decode('d3BfYWpheF9ub3ByaXZfc2VhcmNoLXByb2R1Y3QtYnktc2t1LXJldmlld3M='), base64_decode('c2VhcmNoUHJvZHVjdEJ5U2t1UmV2aWV3cw=='));
 